| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# audiodata

$Revision: 1.3 $

$Date: 2002/06/12 11:18:00 $

audiodata — Pointer to external audio data

## Synopsis

### Content Model

    audiodata ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
srccredit | CDATA | None
format |
Enumeration:
BMP
CGM-BINARY
CGM-CHAR
CGM-CLEAR
DITROFF
DVI
EPS
EQN
FAX
GIF
GIF87a
GIF89a
IGES
JPEG
JPG
linespecific
PCX
PIC
PNG
PS
SGML
SVG
TBL
TEX
TIFF
WMF
WPG
| None
entityref | ENTITY | None
fileref | CDATA | None

## Description

This empty element points to external audio data.

### Processing expectations

There are two ways to provide content for `AudioData`: `EntityRef` or `FileRef`. It is best to use only one of these methods. However, if multiple sources are provided, `EntityRef` will be used in favor of `FileRef`.

### Parents

These elements contain audiodata: `audioobject`.

## Attributes

entityref

  `EntityRef` identifies the general entity which points to the content of the audio data.

fileref

  `FileRef` specifies the name of the file which contains the content of the audio data.

format

  `Format` identifies the format of the audio data. The `Format` must be a defined notation.

srccredit

  `SrcCredit` contains details about the source of the audio data.

## Examples

For examples, see `audioobject`.

attribution |  | audioobject

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.